%define major		4
%define libname		%mklibname amu %{major}
%define develname	%mklibname amu -d
%define oversion	6.2

Name:		am-utils
Epoch:		2
Version:	6.2.0
Release:	%mkrel 13
Summary:	Automount utilities including an updated version of Amd
License:	BSD
Group:		System/Servers
URL:		https://www.am-utils.org/
Source0:	ftp://ftp.am-utils.org/pub/%{name}/%{name}-%{oversion}.tar.gz
Source1:	amd.service
Source2:	am-utils.conf
Source3:	am-utils.sysconf
Source4:	am-utils.net.map
# Fix problems with possible future libtool rebases (#1181698)
Patch1: am-utils-6.2-dont-include-auto-generated-macros-in-aclinlude_m4.patch
Patch2: am-utils-6.2-print_nfs_common_args-is-only-needed-with-DEBUG.patch
Patch3: am-utils-6.2-uid_t-might-be-a-different-size-than-unsigned-int.patch
Patch4: am-utils-6.2-remove-set-but-not-used-variable-s.patch
Patch5: am-utils-6.2-remove-set-but-not-used-variable-again.patch
Patch6: am-utils-6.2-remove-unused-function-show_map.patch
Patch7: am-utils-6.2-remove-set-but-not-used-variable-mp_error.patch
Patch8: am-utils-6.2-32-bit-fixes.patch
Patch9: am-utils-6.2-make-sure-variables-are-initialized.patch
Patch10: am-utils-6.2-dont-use-logical-double-ampersand-when-ampersand-is-meant.patch
Patch11: am-utils-6.2-Fix-nfs-args-setting-code.patch

Patch12: am-utils-6.2-add-debug-log-trace-to-NFSv3-readdirplus.patch
Patch13: am-utils-6.2-fix-NFSv3-access-method-return-on-non-existent-mount-point.patch
Patch14: am-utils-6.2-fix-NFSv3-lookup-dir-attribute-return-value.patch
Patch15: am-utils-6.2-fix-NFSv3-readdir-post_op_dir-attributes-return.patch
Patch16: am-utils-6.2-fix-NFSv3-unlink3_or_rmdir3-post_op-attributes-return.patch

Patch17: am-utils-6.2-fix-Linux-NFS-recognition-of-umounts.patch
Patch18: am-utils-6.2-add-get_nfs_xprt-and-put_nfs_xprt-functions.patch
Patch19: am-utils-6.2-use-new-get_nfs_xprt-and-put_nfs_xprt-functions.patch
Patch20: am-utils-6.2-add-NFSv3-nfs_quick_reply-functionality.patch
Patch21: am-utils-6.2-add-NFSv3-rpc-request-validation.patch
Patch22: am-utils-6.2-fix-wcc-attr-usage-in-unlink3_or_rmdir3.patch

Patch23: am-utils-6.2-Add-the-sys-alias-for-unix-as-well-as-none-and-null.patch
Patch24: am-utils-6.2-Default-to-string-mount-options-for-NFSv4.patch
Patch25: am-utils-6.2-Improve-debugging-for-unmounting.patch
Patch26: am-utils-6.2-add-more-debugging-in-the-unmount-path.patch
Patch27: am-utils-6.2-There-is-really-no-ti-rpc-nfsv4-so-dont-send-one.patch
Patch28: am-utils-6.2-Fix-SEGV-on-amq-entries-that-print-times.patch
Patch29: am-utils-6.2-Make-hasmntval-return-an-0-on-error-1-on-success.patch
Patch30: am-utils-6.2-Update-the-ctime-of-the-directory-too-since-it-changed.patch

Patch31: am-utils-6.2-use-linux-libtirpc-if-present.patch
Patch32: am-utils-6.2-fix-compiler-assignment-warning-due-to-libtirpc.patch
Patch33: am-utils-6.2-fix-logical-not-comparison-in-get_ldap_timestamp.patch
Patch34: am-utils-6.2-fix-umount-to-mount-race.patch

Patch35: am-utils-6.2-fix-nfsv3-fh-length-in-NFS_FH_DREF.patch

Patch36: am-utils-6.2-fix-double-quote-escaping.patch
Patch37: am-utils-6.2-convert-AM_CONFIG_HEADER-to-AC_CONFIG_HEADERS.patch
Patch38: am-utils-6.2-convert-AC_HELP_STRING-to-AS_HELP_STRING.patch
Patch39: am-utils-6.2-convert-AC_TRY_COMPILE-to-AC_COMPILE_IFELSE.patch
Patch40: am-utils-6.2-convert-AC_TRY_LINK-to-AC_LINK_IFELSE.patch
Patch41: am-utils-6.2-convert-AC_TRY_RUN-to-AC_RUN_IFELSE.patch
Patch42: am-utils-6.2-update-configure_ac.patch
Patch43: am-utils-6.2-dont-prevent-building-with-autoconf-2_71.patch

Patch44: am-utils-6.2-fix-fsmount-naming-conflict.patch
Patch45: am-utils-6.2-fix-SEGV-on-quick-reply-error.patch
Patch46: am-utils-6.2-fix-mountd-version-used-when-mount-is-nfs-v4.patch

Patch47: am-utils-6.2-fix-linux-nfs-kernel-module-search.patch
Patch48: am-utils-6.2-dont-include-linux_mount_h.patch
Patch49: am-utils-6.2-fix-fedora-mock-build-fail.patch
Patch50: am-utils-configure-c99.patch

Patch100: am-utils-autoconf.patch
Patch101: am-utils-gcc14.patch
Patch102: am-utils-fix-build-with-gcc15.patch

BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	gdbm-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.0.0
BuildRequires:	texinfo
BuildRequires:	systemd-units
BuildRequires:	libtirpc-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	rpcsvc-proto-devel
BuildConflicts:	db2-devel
BuildConflicts:	db1-devel

Requires(pre):	grep
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Requires:	rpcbind

Obsoletes:	amd
Provides:	amd

%description
Am-utils includes an updated version of Amd, the popular BSD
automounter.  An automounter is a program which maintains a cache of
mounted filesystems.  Filesystems are mounted when they are first
referenced by the user and unmounted after a certain period of inactivity.
Amd supports a variety of filesystems, including NFS, UFS, CD-ROMS and
local drives.

You should install am-utils if you need a program for automatically
mounting and unmounting filesystems.

%package -n	%{libname}
Group:		System/Servers
Summary:	Shared library files for am-utils
# wrongly named lib pkg (wally 01/2013)
Obsoletes:	%{_lib}amu2 < 2:6.1.5-10

%description -n	%{libname}
Shared library files from the am-utils package.

%package -n	%{develname}
Group:		Development/C
Summary:	Development files for am-utils
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname amu -d 2

%description -n	%{develname}
Development headers, and files for development from the am-utils package.

%prep
%setup -q -n %{name}-%{oversion}
%autopatch -p1

%build
%serverbuild
./bootstrap
%configure \
	--enable-shared \
	--disable-static \
	--sysconfdir=%{_sysconfdir} \
	--enable-am-cflags="-DHAVE_LINUX_NFS_MOUNT_H" \
	--enable-cppflags="-I%{_includedir}/nsl" \
	--enable-ldflags="-L%{_libdir}/nsl" \
	--enable-libs="-lnsl -lresolv" \
	--without-ldap

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_unitdir}

install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/amd

install -m 755 %{SOURCE1} %{buildroot}%{_unitdir}/

mkdir -p %{buildroot}/.automount
rm -f %{buildroot}%{_sbindir}/ctl-amd

# install the default config and map files
install -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/amd.conf
install -m 640 %{SOURCE4} %{buildroot}%{_sysconfdir}/amd.net

rm -f %{buildroot}/amd.conf
rm -f %{buildroot}/%{_sysconfdir}/*-sample
rm -f %{buildroot}/amd

#we don't want these
find %{buildroot} -name "*.la" -delete

%pre
# Check if we have an old fashioned amd.conf and rename if to amd.net
if [ "$1" = "0" ] ; then
    if grep -q "auto_dir" %{_sysconfdir}/amd.conf 2>/dev/null > /dev/null ; then
	# this is okay
	exit 0
    else
	# this needs to be renamed. Still, if %{_sysconfdir}/amd.net exists, then
	# don't bother renamig it. RPM will handle it better than us here.
	if [ -e %{_sysconfdir}/amd.net ] ; then
	    exit 0
	else
	    mv -f %{_sysconfdir}/amd.conf /etc/amd.net
	fi
    fi
fi
exit 0

%post
%_post_service amd

%preun
%_preun_service amd

%triggerun -- am-utils < 2:6.1.5-16
# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del amd >/dev/null 2>&1 || :
/bin/systemctl try-restart amd >/dev/null 2>&1 || :

%files
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS
%doc README* scripts/*-sample COPYING
%dir /.automount
%{_bindir}/pawd
%{_sbindir}/*
%{_mandir}/man[58]/*
%{_mandir}/man1/pawd.1*
%config(noreplace) %verify(not md5) %{_sysconfdir}/amd.conf
%config(noreplace) %verify(not md5) %{_sysconfdir}/amd.net
%config(noreplace) %{_sysconfdir}/sysconfig/amd
%{_unitdir}/amd.service
%{_infodir}/*.info*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so


%changelog
* Wed May 07 2025 ns80 <ns80> 2:6.2.0-13.mga10
+ Revision: 2181784
- try to fix building with GCC 15

* Sat Apr 06 2024 wally <wally> 2:6.2.0-12.mga10
+ Revision: 2055267
- add patches to fix build with new autoconf and gcc14
- rebuild for libnsl 2.0.1

* Wed Nov 02 2022 ghibo <ghibo> 2:6.2.0-11.mga9
+ Revision: 1901640
- Merge latest patches from fedora to fix building.
- Remove Patch100 (unneeded).
+ neoclust <neoclust>
- Adapt Patch100 for autoconf 2.71
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 2:6.2.0-8.mga8
+ Revision: 1655798
- update autoconf patch for 2.70

* Fri Nov 27 2020 tv <tv> 2:6.2.0-7.mga8
+ Revision: 1649709
- Fix building with libtirpc/nsl/rpcsvc

* Mon Oct 12 2020 neoclust <neoclust> 2:6.2.0-6.mga8
+ Revision: 1633946
- Fix autoconf required version

* Wed Feb 12 2020 umeabot <umeabot> 5.mga8-current
+ Revision: 1508461
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 2:6.2.0-4.mga7
+ Revision: 1294313
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 2:6.2.0-3.mga7
+ Revision: 1256471
- rely on filetriggers for info system (mga#23482)

* Wed Feb 10 2016 umeabot <umeabot> 2:6.2.0-2.mga6
+ Revision: 953055
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 daviddavid <daviddavid> 2:6.2.0-1.mga6
+ Revision: 858209
- new version: 6.2.0
- remove all unneeded patches
- update Source URL
- convert to systemd (from Fedora)
- add more BuildRequires
- add Patch0 from Fedora to fix libtool build failure
- use autopach macro
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 2:6.1.5-15.mga5
+ Revision: 750689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:6.1.5-14.mga5
+ Revision: 686498
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2:6.1.5-13.mga5
+ Revision: 677747
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:6.1.5-12.mga4
+ Revision: 532374
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 fwang <fwang> 2:6.1.5-11.mga4
+ Revision: 468213
- fix build with rencent texinfo

* Fri Jan 11 2013 umeabot <umeabot> 2:6.1.5-11.mga3
+ Revision: 345524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 wally <wally> 2:6.1.5-10.mga3
+ Revision: 343017
- fix major
- obsolete old wrongly named lib pkg with wrong major
- disable static build and drop .la files
- clean .spec a bit

* Tue Jan 08 2013 sander85 <sander85> 2:6.1.5-9.mga3
+ Revision: 342832
- Fix buildrequires
+ dmorgan <dmorgan>
- Fix build with new autotools

* Sun May 08 2011 nanardon <nanardon> 2:6.1.5-8.mga1
+ Revision: 96049
- Mdv cleanup
- imported package am-utils


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2:6.1.5-8mdv2011.0
+ Revision: 609973
- rebuild

* Mon Mar 08 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:6.1.5-7mdv2010.1
+ Revision: 515618
- Include fixes from am-utils Fedora package, also handling
  Mandriva bug #45007:
  * RH/Fedora #203193, MDV #45007 - tmpfile usage
  * RH/Fedora #202180, MDV #45007 - amd service doesn't work
  * MDV #45007, from RH: UTS_RELEASE macro has been removed from the
    latest kernel (replaces am-utils-6.1.5-fix-configure.patch)
  * MDV #45007, Fedora build system bugfixes
  * RH/Fedora #435420, MDV #45007 - CVE-2008-1078 am-utils: insecure
    usage of temporary files
  * RH/Fedora #450754, MDV #45007 - Amd does not work with 2.6.25
  * RH/Fedora #566711 - am-utils: incorrect use of tcp_wrapper
- Add LSB header to amd initscript.

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2:6.1.5-6mdv2010.0
+ Revision: 400423
- new devel policy
- uncompress additional sources
- patch1: fix configure script
- fix dependencies

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - use std info-install macros
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 2:6.1.5-3mdv2008.0
+ Revision: 69949
- kill file require on chkconfig
- kill file require on info-install


* Sun Jan 07 2007 Crispin Boylan <crisb@mandriva.org> 6.1.5-2mdv2007.0
+ Revision: 105188
- Kill db1 dep

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 2:6.1.5-1mdv2007.0
+ Revision: 51689
- 6.1.5
- Import am-utils

* Sun Dec 11 2005 Olivier Thauvin <nanardon@mandriva.org> 6.1.3-1mdk
- 6.1.3

* Wed Sep 28 2005 Olivier Thauvin <nanardon@mandriva.org> 6.1.2.1-1mdk
- 6.1.2.1

* Thu May 05 2005 Olivier Thauvin <nanardon@mandriva.org> 6.0.9-9mdk
- fix build on amd64 (autotools)

* Thu Nov 18 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 6.0.9-8mdk
- clean dep, update for 64bits

* Tue Mar 02 2004 Pascal Terjan <pterjan@mandrake.org> 6.0.9-7mdk
- Fix one more DEP

* Sun Feb 29 2004 Pascal Terjan <pterjan@mandrake.org> 6.0.9-6mdk
- Fix DEP due to Epoch

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 6.0.9-5mdk
- Fix DEP
- disabling ldap (won't build on klama)

